//
//     Copyright (C) 2003 - 2008 Sophia Cradle Incorporated
//     All rights reserved.
//
//     File: MainWindow.hpp
//

#ifndef _mainWindow_HPP
#define _mainWindow_HPP

#include <SophiaFramework.hpp>

//
//  CEBhE
//

SFMTYPEDEFRESPONDER(ContentWindow)
SFMTYPEDEFRESPONDER(MainWindow)
class MainWindow : public SFZWindow {
    SFMSEALRESPONDER(MainWindow)
    SFMRESPONDERINSTANTIATEFOUR(MainWindow, SFZWindow, SFYContainer, SFYWidget, SFYResponder)

private:
            // CEBhEɔzu郌X|_
            ContentWindowSmp        _windowContent; // RecEBhE
            SFZTextButtonControlSmp _buttonPrev;    //uOŁv{^
            SFZTextButtonControlSmp _buttonZoom;    //ugv{^
            SFZTextButtonControlSmp _buttonNext;    //uŁv{^

            // rbg}bvg嗦 : 1 ܂ 2
            SIntN                   expansion_ratio;
            // y[Wԍ: 0 w͂܂x, 1`4  rbg}bv, 5 w܂x
            SIntN                   page_number;

protected:
    explicit                        MainWindow() static_throws; // RXgN^
    virtual                         ~MainWindow();              // fXgN^

public:
    static  MainWindowSmp           NewInstance(SFCErrorPtr exception = null);
            Void                    Make(); // eX|_̍쐬

private:
    // {^nh
    XANDLER_DECLARE_VOIDRESULT(OnButtonControlPrev) //uOŁv{^
    XANDLER_DECLARE_VOIDRESULT(OnButtonControlZoom) //ugv{^
    XANDLER_DECLARE_VOIDRESULT(OnButtonControlNext) //uŁv{^

    // őg摜\RecEBhẼL[nh
    XANDLER_DECLARE_BOOLEVENT(OnKey)
};

#endif  //_mainWindow_HPP
