//
//     Copyright (C) 2003 - 2008 Sophia Cradle Incorporated
//     All rights reserved.
//
//     File: ContentWindow.hpp
//

#ifndef _contentWindow_HPP
#define _contentWindow_HPP

#include <SophiaFramework.hpp>

//
//  RecEBhE
//

SFMTYPEDEFRESPONDER(ContentWindow)
class ContentWindow : public SFZWindow {
    SFMSEALRESPONDER(ContentWindow)
    SFMRESPONDERINSTANTIATEFOUR(ContentWindow, SFZWindow, SFYContainer, SFYWidget, SFYResponder)
private:
            SIntN   page; // \y[Wԍ

protected:
    explicit        ContentWindow() static_throws;  // RXgN^
    virtual         ~ContentWindow();               // fXgN^
            // `nh(z֐I[o[Ch)@@
    virtual Void    HandleRenderRequest(SFXGraphicsPtr graphics) const;

public:
    static  ContentWindowSmp NewInstance(SFCErrorPtr exception = null);
            // \y[Wԍ̐ݒ
            Void    SetPage(SIntN n);

private:
            // eLXgRec̕`
            Void    DrawText(SFXGraphicsPtr graphics, SFXPathConstRef path, UInt16 id) const;
            // rbg}bvRec̕`
            Void    DrawImage(SFXGraphicsPtr graphics) const;
};

#endif  //_contentWindow_HPP
